Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigMatchArg Struct Reference

`#include <regint.h>`

## Data Fields
void * | stack_p
size_t | stack_n
OnigOptionType | options
OnigRegion * | region
const UChar * | start
const UChar * | gpos
OnigPosition | best_len
UChar * | best_s

## Detailed Description

Definition at line 826 of file regint.h.

## Field Documentation

OnigPosition OnigMatchArg::best_len

Definition at line 834 of file regint.h.

Referenced by match_at(), and onig_search_gpos().

UChar* OnigMatchArg::best_s

Definition at line 835 of file regint.h.

Referenced by match_at(), and onig_search_gpos().

const UChar* OnigMatchArg::gpos

Definition at line 832 of file regint.h.

Referenced by match_at(), and onig_search_gpos().

OnigOptionType OnigMatchArg::options

Definition at line 829 of file regint.h.

Referenced by match_at().

OnigRegion* OnigMatchArg::region

Definition at line 830 of file regint.h.

Referenced by match_at().

size_t OnigMatchArg::stack_n

Definition at line 828 of file regint.h.

void* OnigMatchArg::stack_p

Definition at line 827 of file regint.h.

Referenced by stack_double().

const UChar* OnigMatchArg::start

Definition at line 831 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h